<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>Resources</h1>

<ul>
<li> Tutorial that I followed in October which I thought was a good
  introduction: <br>
  <a href="https://maniagnosis.crsr.net/2017/06/AFL-brute-force-search.html">https://maniagnosis.crsr.net/2017/06/AFL-brute-force-search.html</a> <br>
  <a href="https://maniagnosis.crsr.net/2017/06/AFL-bug-in-quicksearch.html">https://maniagnosis.crsr.net/2017/06/AFL-bug-in-quicksearch.html</a> <br>
  <a href="https://maniagnosis.crsr.net/2017/07/AFL-correctness-of-quicksearch.html">https://maniagnosis.crsr.net/2017/07/AFL-correctness-of-quicksearch.html</a>

<li> Frama-C on Stack Overflow:
  <a href="https://stackoverflow.com/questions/tagged/frama-c">https://stackoverflow.com/questions/tagged/frama-c</a>

<li> Allan Blanchard's tutorial:
  <a href="https://allan-blanchard.fr/publis/frama-c-wp-tutorial-en.pdf">https://allan-blanchard.fr/publis/frama-c-wp-tutorial-en.pdf</a>

<li> David Mentré's introduction:
  <a href="https://www.cs.umd.edu/class/spring2016/cmsc838G/frama-c/introduction-to-frama-c_v2.pdf">https://www.cs.umd.edu/class/spring2016/cmsc838G/frama-c/introduction-to-frama-c_v2.pdf</a>

<li> Upstream documentation: <br>
  Manual: <a href="https://frama-c.com/download/frama-c-user-manual.pdf">https://frama-c.com/download/frama-c-user-manual.pdf</a> <br>
  WP manual: <a href="https://frama-c.com/download/frama-c-wp-manual.pdf">https://frama-c.com/download/frama-c-wp-manual.pdf</a> <br>
  ACSL: <a href="https://frama-c.com/acsl.html">https://frama-c.com/acsl.html</a>

<li> ACSL specifications for various string functions:
  <a href="https://github.com/evdenis/verker">https://github.com/evdenis/verker</a>
</ul>
